Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.message.common
Class BytesMsg

    java.lang.Object
      com.stc.connector.message.common.BytesMsg

All Implemented Interfaces:
  AbstractMsg

    public class BytesMsg

extends java.lang.Object
implements AbstractMsg

This message represents a generic byte(s) message implementation.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2005/09/03 06:30:02 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`BytesMsg(byte byteValue)` Constructor
`BytesMsg(byte[] bytes)` Constructor
`BytesMsg(char charValue)` Constructor

Method Summary
`byte[]` | `getBytes()` Returns a byte array.
`void` | `setBytes(byte[] bytes)` Sets the bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### BytesMsg

    public BytesMsg(byte[] bytes)

  Constructor

  Parameters:
    `bytes` - byte[]

### BytesMsg

    public BytesMsg(byte byteValue)

  Constructor

  Parameters:
    `byteValue` - The byte value

### BytesMsg

    public BytesMsg(char charValue)

  Constructor

  Parameters:
    `charValue` - The char value

Method Detail

### setBytes

    public void setBytes(byte[] bytes)

  Sets the bytes.

  Parameters:
    `bytes` - The bytes to set

### getBytes

    public byte[] getBytes()
                    throws java.io.IOException

  Description copied from interface: `AbstractMsg`
  Returns a byte array. This is the method that all kinds of messages need to implement.

  Specified by:
    `getBytes` in interface `AbstractMsg`
  Returns:
    A byte array
  Throws:
    `java.io.IOException` - on error
  See Also:
    `AbstractMsg.getBytes()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD